「CentOS 7.3」 自带的 「OpenSSL」 软件版本 1.0.1e 太低,而且 1.0.1e 版本对 ALPN 不支持

# 查看默认自带的版本
~ openssl version
OpenSSL 1.0.1e-fips 11 Feb 2013

升级 「CentOS 7.3」 的 「OpenSSL」 到 1.0.2 版本

安装必备软件

yum install -y gcc gcc-c++ autoconf automake zlib zlib-devel pcre-devel

安装新OpenSSL

cd ~/data/softs

# 下载OpenSSL
wget https://www.openssl.org/source/openssl-1.0.2-latest.tar.gz

# 解压
tar -zxf openssl-1.0.2-latest.tar.gz

# 编译安装 OpenSSL
cd openssl-1.0.2*
./config
make && make install

# 备份旧版本 OpenSSL
mv /usr/bin/openssl /usr/bin/openssl.old
ln -s /usr/local/ssl/bin/openssl /usr/bin/openssl

再次查看下 「OpenSSL」 版本是不是已经升级了?